热图
GET https://analyticse.com/api/heatmaps/
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | |
| user_id | 可选的 整数 | |
| is_enabled | 可选的 整数 | 允许的值:0, 1 |
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name, path。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | 开始日期 |
| datetime_end | 可选的 字符串 | 结束日期 |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:16",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/heatmaps?page=1",
"last": "https://analyticse.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/heatmaps?page=1"
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:16",
"last_datetime": null
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| snapshot_type | 可选的 字符串 | 允许的值:desktop, tablet, mobile |
| type | 可选的 字符串 | 允许的值:clicks, scrolls |
| start_date | 可选的 字符串 | 开始日期格式为 Y-m-d。 |
| end_date | 可选的 字符串 | 结束日期格式为Y-m-d。 |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://analyticse.com/api/heatmaps
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 必需 整数 | |
| name | 必需 字符串 | |
| path | 可选的 字符串 | |
| is_enabled | 可选的 整数 | 允许的值:0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:16",
"last_datetime": null
}
}
POST https://analyticse.com/api/heatmaps/{heatmap_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 可选的 字符串 | |
| is_enabled | 可选的 整数 | 允许的值:0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:45:16",
"last_datetime": "2026-09-12 00:45:16"
}
}
DELETE https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \